import './assets/style.css';
import { jsxs as c, jsx as m } from "react/jsx-runtime";
import { useState as h } from "react";
import { B as _, g as v } from "./UserOptions-4b47aa4f.js";
import { ArBadgeType as S, ArSizes as x } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./transform-df96e507.js";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleChart.js";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "react-dom";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
const C = [
  {
    name: "Monday",
    short: "Mo",
    index: 0
  },
  {
    name: "Tuesday",
    short: "Tu",
    index: 1
  },
  {
    name: "Wednesday",
    short: "We",
    index: 2
  },
  {
    name: "Thursday",
    short: "Th",
    index: 3
  },
  {
    name: "Friday",
    short: "Fr",
    index: 4
  },
  {
    name: "Saturday",
    short: "Sa",
    index: 5
  },
  {
    name: "Sunday",
    short: "Su",
    index: 6
  }
], f = (t, r) => "day" in t ? (t = t, r.day === t.day && r.month === t.month && r.year === t.year) : (t = t, r.day === t.getDate() && r.month === t.getMonth() && r.year === t.getFullYear()), b = (t) => {
  const {
    allowEventSetting: r,
    calHelper: o,
    date: i,
    hovered: u,
    isSingleSelect: s,
    isToday: n,
    miniMode: a,
    onDateSelected: p,
    setHovered: d
  } = t, [l, e] = h();
  return /* @__PURE__ */ c(
    "li",
    {
      className: `ar-JustCalendar__day flex-center cursor-pointer position-relative${i.siblingMonth ? " ar-JustCalendar__sibling-month" : ""}${o != null && o.isDateSelected(i) ? " selected" : ""}${n ? " today" : ""}${o != null && o.isDateSelected(i, u) ? " selectable" : ""}`,
      onClick: () => p(i),
      onMouseOver: () => {
        e(!0), o != null && o.startDate && !o.endDate && !s && d(i);
      },
      onMouseLeave: () => e(!1),
      children: [
        /* @__PURE__ */ c("span", { className: "ar-JustCalendar__day__date flex-center position-relative", children: [
          n && /* @__PURE__ */ m(
            _,
            {
              type: S.COMPLETE,
              size: x.SMALL,
              classes: "ar-JustCalendar__day__badge position-absolute"
            }
          ),
          i.day
        ] }),
        r && /* @__PURE__ */ m(
          "span",
          {
            className: `ar-JustCalendar__day__event-btn position-absolute${l ? " show" : ""}`,
            onClick: () => p(i, r && l),
            children: /* @__PURE__ */ m(
              v,
              {
                icon: "io.IoIosAddCircle",
                color: "#5cb85cb3",
                hoverColor: "#5cb85c",
                size: a ? "0.8rem" : "1.5rem"
              }
            )
          }
        )
      ]
    }
  );
}, So = (t) => {
  const {
    allowEventSetting: r,
    calendar: o,
    calHelper: i,
    endDate: u,
    hovered: s,
    isSingleSelect: n,
    miniMode: a,
    setHovered: p,
    onDateSelected: d,
    startDate: l
  } = t;
  return /* @__PURE__ */ c(
    "ul",
    {
      className: `ar-JustCalendar list-unstyled d-flex flex-wrap flex-1 position-relative mb-0 ${a ? "is-mini p-1" : "p-3"}`,
      onMouseLeave: () => p(null),
      children: [
        C.map((e) => /* @__PURE__ */ m("li", { className: "ar-JustCalendar__day ar-Calendar__weekday fw-bold flex-center", children: /* @__PURE__ */ m("span", { className: "ar-JustCalendar__day__short", children: e.short }) })),
        o == null ? void 0 : o.map((e) => {
          const y = e && f(/* @__PURE__ */ new Date(), e);
          return e ? /* @__PURE__ */ m(
            b,
            {
              allowEventSetting: r,
              calHelper: i,
              date: e,
              hovered: s,
              isSingleSelect: n,
              isToday: y,
              miniMode: a,
              onDateSelected: d,
              setHovered: p
            }
          ) : /* @__PURE__ */ m("li", {});
        })
      ]
    }
  );
};
export {
  So as default
};
